#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 typst
version:              0.5
visibility:           public
id:                   typst-0.5-9SdYMKqenTIFsbX3H9FYjV
key:                  typst-0.5-9SdYMKqenTIFsbX3H9FYjV
license:              BSD-3-Clause
copyright:            Copyright 2023 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
synopsis:             Parsing and evaluating typst syntax.
description:
    A library for parsing and evaluating typst syntax.
    Typst (<https://typst.app>) is a document layout and
    formatting language. This library targets typst 0.10
    and currently offers only partial support.

category:             Text
abi:                  3b2bdc07f075c3dad3d0a05ce1d3b3ea
exposed:              True
exposed-modules:
    Typst Typst.Evaluate Typst.Methods Typst.Parse Typst.Syntax
    Typst.Types Typst.Util

hidden-modules:
    Typst.Bind Typst.Regex Typst.Show Typst.Module.Standard
    Typst.Module.Math Typst.Module.Calc Typst.MathClass

import-dirs:          /usr/lib/ghc-9.2.8/site-local/typst-0.5
library-dirs:         /usr/lib/ghc-9.2.8/site-local/typst-0.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-typst
hs-libraries:         HStypst-0.5-9SdYMKqenTIFsbX3H9FYjV
depends:
    aeson-2.1.2.1-4zJKowqIccG16mc5i0l3g8 array-0.5.4.0 base-4.16.4.0
    bytestring-0.11.4.0 cassava-0.5.3.1-3Fgr73DGBhPCahn2IVM6wY
    containers-0.6.5.1 digits-0.3.1-9IRu32wDROaHQr2JdyDRPo
    directory-1.3.6.2 filepath-1.4.2.2 mtl-2.2.2
    ordered-containers-0.2.4-BPNEgPUoAKY19kPoREGa9T parsec-3.1.15.0
    pretty-1.1.3.6 regex-tdfa-1.3.2.2-8Eko8V8XkdOF8ZvUlcVNQI
    scientific-0.3.7.0-1UiZtxIrrRCI5SqK0NgMSR text-1.2.5.0
    time-1.11.1.1 toml-parser-1.3.1.3-Fxx9B9msUnUB13ZjMZGS9u
    typst-symbols-0.1.5-88gdpZCk9hecvC3Xgy0SF
    vector-0.13.1.0-G7FmTKS6EuOC4CxSRTf251
    xml-conduit-1.9.1.3-2aIlozn5mxGCRiKmawGnKd
    yaml-0.11.11.2-IjwTiMo2gj4517YKPCrhm3

haddock-interfaces:   /usr/share/doc/haskell-typst/html/typst.haddock
haddock-html:         /usr/share/doc/haskell-typst/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

